org.eclnt.jsfserver.elements.macros

## Class MacroFactory

- java.lang.Object
- - org.eclnt.jsfserver.elements.macros.MacroFactory

- All Implemented Interfaces:
    java.io.Serializable

      public class MacroFactory
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MacroFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MacroFactory` | `getDirInstance(java.lang.String directory, java.lang.ClassLoader macroClassLoader)` Design time usage: this function is called e.g. by the Layout Editor.
    `IMacro` | `getMacro(java.lang.String macroName)`
    `java.util.List<IMacro>` | `getMacros(java.lang.String tagName)` Returns all macros that are valid for a certain conmponent.
    `static MacroFactory` | `getWebappInstance()` Typical runtime usage.
    `static void` | `initializeWebappInstance(ServletContext servletContext)` Each web application has its macro definitions.
    `static void` | `refreshDirInstances()` Refreshes all directory instances.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MacroFactory

          public MacroFactory()

  - ### Method Detail

    - #### initializeWebappInstance

          public static void initializeWebappInstance(ServletContext servletContext)

      Each web application has its macro definitions. The macros are stored in the /eclntjsfserver/confid/macros directory. The macros are read via Web Resource access.

    - #### getWebappInstance

          public static MacroFactory getWebappInstance()

      Typical runtime usage. `initializeWebappInstance(ServletContext)` needs to be called one time before.

    - #### getDirInstance

          public static MacroFactory getDirInstance(java.lang.String directory,
                                                    java.lang.ClassLoader macroClassLoader)

      Design time usage: this function is called e.g. by the Layout Editor.

    - #### refreshDirInstances

          public static void refreshDirInstances()

      Refreshes all directory instances. Background: this functions is e.g. required by Layout Editor.

    - #### getMacro

          public IMacro getMacro(java.lang.String macroName)

    - #### getMacros

          public java.util.List<IMacro> getMacros(java.lang.String tagName)

      Returns all macros that are valid for a certain conmponent.

Copyright © CaptainCasa Gmbh. All Rights Reserved.